Bug 1045730 - [F20] NetworkManager won't connect to wifi network
Summary: [F20] NetworkManager won't connect to wifi network
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-21 15:18 UTC by Skippy
Modified: 2014-09-05 12:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-05 02:07:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Skippy 2013-12-21 15:18:59 UTC
Description of problem:

I installed F20 on a brand new Schenker S403 (Clevo W840SU-T) laptop (core install with enlightenment).  Though NetworkManager does see wifi networks, it fails to connect (at least to my WEP one).

Below are relevant logging messages which should help tracking down this issue, but I found another interesting point : if I launch nm-connection-editor, I can see the network I tried to connect in the list, but I can't save any modification unless I set the Wi-Fi Security to "None".  And indeed, the following message appears in the terminal : "** (nm-connection-editor:2224): WARNING **: Invalid setting Wi-Fi Security: Invalid Wi-Fi security".


Version-Release number of selected component (if applicable):

Name        : NetworkManager
Arch        : x86_64
Epoch       : 1
Version     : 0.9.9.0
Release     : 20.git20131003.fc20

Name        : network-manager-applet
Arch        : x86_64
Version     : 0.9.9.0
Release     : 7.git20131028.fc20

Name        : iwl7260-firmware
Arch        : noarch
Version     : 22.0.7.0
Release     : 31.fc20

I tried with both kernels 3.11.10-301.fc20.x86_64 and 3.12.5-302.fc20.x86_64.


How reproducible:

Always.


Steps to Reproduce:
1. Install Fedora 20 core components, enlightenment and wireless card firmware.
2. Try to connect to a wifi network.


Actual results:

Nothing happens.


Expected results:

A connection should be established.


Additional info:

My wireless card :

02:00.0 Network controller: Intel Corporation Wireless 7260 (rev 73)

Logs from journalctl -f during an attempt to connect :

déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0) starting connection 'kiowas'
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> (wlp2s0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> NetworkManager state is now CONNECTING
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0) Stage 1 of 5 (Device Prepare) scheduled...
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0) Stage 1 of 5 (Device Prepare) started...
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0) Stage 2 of 5 (Device Configure) scheduled...
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0) Stage 1 of 5 (Device Prepare) complete.
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0) Stage 2 of 5 (Device Configure) starting...
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> (wlp2s0): device state change: prepare -> config (reason 'none') [40 50 0]
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0/wireless): access point 'kiowas' has security, but secrets are required.
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> (wlp2s0): device state change: config -> need-auth (reason 'none') [50 60 0]
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Activation (wlp2s0) Stage 2 of 5 (Device Configure) complete.
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <warn> No agents were available for this request.
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> (wlp2s0): device state change: need-auth -> failed (reason 'no-secrets') [60 120 7]
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> NetworkManager state is now DISCONNECTED
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> Marking connection 'kiowas' invalid.
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <warn> Activation (wlp2s0) failed for connection 'kiowas'
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> (wlp2s0): device state change: failed -> disconnected (reason 'none') [120 30 0]
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <info> (wlp2s0): deactivating device (reason 'none') [0]
déc. 21 16:00:12 localhost.localdomain firewalld[612]: 2013-12-21 16:00:12 ERROR: UNKNOWN_INTERFACE: wlp2s0
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <warn> (wlp2s0) firewall zone remove failed: (32) UNKNOWN_INTERFACE: wlp2s0

Comment 1 Skippy 2013-12-23 14:18:11 UTC
I noticed nm-applet provided the following additional messages when launched in a terminal :

** Message: Remote error from secret service: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.secrets was not provided by any .service files

After a quick google search, I installed gnome-keyring, which solved the issue.

Though technically one may be able to connect to an open wireless network without it (didn't test), I strongly suggest gnome-keyring is made a dependency of network-manager-applet.

I let someone else close this bug report as to acknowledge this comment. ;)

Comment 2 gibi 2014-01-10 16:53:39 UTC
Hi

I've got a similar issue; here my info

laptop: dell latitute D530

0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
	Subsystem: Intel Corporation Device 1121
	Flags: bus master, fast devsel, latency 0, IRQ 46
	Memory at fe8fe000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-1d-e0-ff-ff-8c-e9-6f
	Kernel driver in use: iwl4965


when I try the select a wifi network and press "connect" on the networmanager panel I've got this info with the command "dmesg"

---------- test 1
[root@argante ~]# dmesg
[ 3688.207817] iwl4965 0000:0c:00.0: RF_KILL bit toggled to enable radio.
[ 3688.207842] iwl4965 0000:0c:00.0: On demand firmware reload
[ 3688.207915] ieee80211 phy0: Hardware restart was requested
[ 3688.453912] IPv6: ADDRCONF(NETDEV_UP): wlp12s0: link is not ready
[ 3688.580099] usb 3-2: new full-speed USB device number 4 using uhci_hcd
[ 3688.746453] usb 3-2: New USB device found, idVendor=413c, idProduct=8140
[ 3688.746469] usb 3-2: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 3707.071732] wlp12s0: authenticate with 38:ea:a7:7b:71:39
[ 3707.082505] wlp12s0: send auth to 38:ea:a7:7b:71:39 (try 1/3)
[ 3708.000062] wlp12s0: send auth to 38:ea:a7:7b:71:39 (try 2/3)
[ 3708.997250] wlp12s0: send auth to 38:ea:a7:7b:71:39 (try 3/3)
[ 3710.000297] wlp12s0: authentication with 38:ea:a7:7b:71:39 timed out
[ 3710.315443] wlp12s0: authenticate with 38:ea:a7:7b:71:29
[ 3710.325331] wlp12s0: send auth to 38:ea:a7:7b:71:29 (try 1/3)
[ 3711.000058] wlp12s0: send auth to 38:ea:a7:7b:71:29 (try 2/3)
[ 3712.000069] wlp12s0: send auth to 38:ea:a7:7b:71:29 (try 3/3)
[ 3712.997166] wlp12s0: authentication with 38:ea:a7:7b:71:29 timed out
[ 3713.330955] wlp12s0: authenticate with e8:39:35:95:8c:e3
[ 3713.330965] wlp12s0: Wrong control channel: center-freq: 5180 ht-cfreq: 5660 ht->primary_chan: 132 band: 1 - Disabling HT
[ 3713.340052] wlp12s0: send auth to e8:39:35:95:8c:e3 (try 1/3)
[ 3714.000252] wlp12s0: send auth to e8:39:35:95:8c:e3 (try 2/3)
[ 3715.000172] wlp12s0: send auth to e8:39:35:95:8c:e3 (try 3/3)
[ 3715.997238] wlp12s0: authentication with e8:39:35:95:8c:e3 timed out
[ 3716.306925] wlp12s0: authenticate with e8:39:35:95:8c:f3
[ 3716.334135] wlp12s0: send auth to e8:39:35:95:8c:f3 (try 1/3)
[ 3717.000260] wlp12s0: send auth to e8:39:35:95:8c:f3 (try 2/3)
[ 3717.997047] wlp12s0: send auth to e8:39:35:95:8c:f3 (try 3/3)
[ 3719.000336] wlp12s0: authentication with e8:39:35:95:8c:f3 timed out
[ 3719.220193] wlp12s0: authenticate with e8:39:35:95:18:25
[ 3719.231042] wlp12s0: send auth to e8:39:35:95:18:25 (try 1/3)
[ 3720.000204] wlp12s0: send auth to e8:39:35:95:18:25 (try 2/3)
[ 3720.997179] wlp12s0: send auth to e8:39:35:95:18:25 (try 3/3)
[ 3722.000214] wlp12s0: authentication with e8:39:35:95:18:25 timed out
[ 3722.225635] wlp12s0: authenticate with e8:39:35:95:ac:c3
[ 3722.234446] wlp12s0: send auth to e8:39:35:95:ac:c3 (try 1/3)
[ 3723.000166] wlp12s0: send auth to e8:39:35:95:ac:c3 (try 2/3)
[ 3724.000173] wlp12s0: send auth to e8:39:35:95:ac:c3 (try 3/3)
[ 3725.000244] wlp12s0: authentication with e8:39:35:95:ac:c3 timed out
[ 3725.202172] wlp12s0: authenticate with e8:39:35:95:18:c4
[ 3725.202184] wlp12s0: Wrong control channel: center-freq: 5540 ht-cfreq: 5260 ht->primary_chan: 52 band: 1 - Disabling HT
[ 3725.209375] wlp12s0: send auth to e8:39:35:95:18:c4 (try 1/3)
[ 3726.000178] wlp12s0: send auth to e8:39:35:95:18:c4 (try 2/3)
[ 3727.000893] wlp12s0: send auth to e8:39:35:95:18:c4 (try 3/3)
[ 3728.000178] wlp12s0: authentication with e8:39:35:95:18:c4 timed out
[ 3728.139418] wlp12s0: authenticate with e8:39:35:95:08:63
[ 3728.144855] wlp12s0: send auth to e8:39:35:95:08:63 (try 1/3)
[ 3729.000055] wlp12s0: send auth to e8:39:35:95:08:63 (try 2/3)
[ 3730.000060] wlp12s0: send auth to e8:39:35:95:08:63 (try 3/3)
[ 3730.005620] wlp12s0: deauthenticating from e8:39:35:95:08:63 by local choice (reason=3)
---------------------

Comment 3 gibi 2014-01-10 17:00:32 UTC
additional note

referring to the comment 1; I have the gnome-keyring

Loaded plugins: langpacks, refresh-packagekit
Package gnome-keyring-3.10.1-1.fc20.i686 already installed and latest version
Nothing to do

Comment 4 gibi 2014-01-10 17:17:34 UTC
additional note

using the command journalctl -e I got this info

------------------

Jan 10 18:15:42 argante NetworkManager[846]: <info> (wlp12s0): supplicant interface state: scanning -> authenticating
Jan 10 18:15:42 argante kernel: wlp12s0: send auth to e8:39:35:95:18:25 (try 2/3)
Jan 10 18:15:42 argante NetworkManager[846]: <warn> Activation (wlp12s0/wireless): association took too long, failing activati
Jan 10 18:15:42 argante NetworkManager[846]: <info> (wlp12s0): device state change: config -> failed (reason 'SSID not found')
Jan 10 18:15:42 argante NetworkManager[846]: <info> NetworkManager state is now DISCONNECTED
Jan 10 18:15:42 argante NetworkManager[846]: <warn> Activation (wlp12s0) failed for connection 'CAMELOT'
Jan 10 18:15:42 argante NetworkManager[846]: <info> (wlp12s0): device state change: failed -> disconnected (reason 'none') [12
Jan 10 18:15:42 argante NetworkManager[846]: <info> (wlp12s0): deactivating device (reason 'none') [0]
Jan 10 18:15:42 argante kernel: wlp12s0: deauthenticating from e8:39:35:95:18:25 by local choice (reason=3)
Jan 10 18:15:42 argante firewalld[602]: 2014-01-10 18:15:42 ERROR: UNKNOWN_INTERFACE: wlp12s0
Jan 10 18:15:42 argante gnome-session[1731]: Gjs-Message: JS LOG: An active wireless connection, in infrastructure mode, invol
Jan 10 18:15:42 argante gnome-session[1731]: Gjs-Message: JS LOG: An active wireless connection, in infrastructure mode, invol
Jan 10 18:15:42 argante NetworkManager[846]: <warn> (wlp12s0) firewall zone remove failed: (32) UNKNOWN_INTERFACE: wlp12s0
Jan 10 18:15:42 argante NetworkManager[846]: <warn> Connection disconnected (reason -3)
Jan 10 18:15:42 argante NetworkManager[846]: <info> (wlp12s0): supplicant interface state: authenticating -> disconnected
Jan 10 18:15:42 argante NetworkManager[846]: <warn> Couldn't disconnect supplicant interface: This interface is not connected.
Jan 10 18:15:42 argante NetworkManager[846]: <warn> Connection disconnected (reason -3)


------------------

Comment 5 gibi 2014-01-10 18:05:21 UTC
Hi sorry for the additional note but I think this is important


- have the laptop running
- unplug the network cable and start the wifi adapter
- set your wifi network as "no auto-connect"
- restart the laptop
- then the fedora 20 starts I can open the network manager and select a WIFI network and then connect;


then

- I stop the wifi adapter and then I restart it
- at this point I open the network manager and select a WIFI network BUT I cannot get the wifi connected;


alternatively

- plug the network cable then unplug the network cable
- at this point I open the network manager and select a WIFI network BUT I cannot get the wifi connected;

Comment 6 Peter Gückel 2014-01-13 19:27:11 UTC
Not sure if this is related, but it is another case of wireless unable to connect:

https://bugzilla.redhat.com/show_bug.cgi?id=1011138

Comment 7 Jirka Klimes 2014-03-10 13:15:21 UTC
This mixes two issues:
1) the original report - clearly missing password due to missing keyring
déc. 21 16:00:12 localhost.localdomain NetworkManager[687]: <warn> No agents were available for this request.
2) gibi's problem is some problem with authenticating to the AP
Is the signal level sufficient?
For deeper debugging wpa_supplicant see:
https://wiki.gnome.org/Projects/NetworkManager/Debugging#Debugging_wpa_supplicant_0.7_and_later

Comment 8 gibi 2014-03-10 13:21:15 UTC
Hi; thanks for the info; after applying the latest F20 update I can use the wi-fi so this issue is fixed form my point of view;

Comment 9 Justin W. Flory (he/him) 2014-08-31 02:23:55 UTC
Unlike comment 8, I am fully updating and having the same issue on my Toshiba Satellite C55-A laptop. Wireless card is as follows:

02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8188EE Wireless Network Adapter (rev 01)

Like the others above, I also ran journalctl -e and I put my output into a Fedora Paste file, which can be found here: http://ur1.ca/i37wp

The password is just 'fedorawifi'!

Anyways, I'd love to see this get fixed as it has been issue that has plagued my laptop since the day I installed Fedora.

Comment 10 Jirka Klimes 2014-09-02 10:34:58 UTC
Justin, you may have problem dues to rtl8188ee driver - see bug 1108801.
The log shows timeout in authenticating to AP in wpa_supplicant.
* Aug 30 22:07:37 l1011 kernel: wlp2s0: authentication with b8:c7:5d:06:d2:d5 timed out
See the link in comment #2 to debug the wpa_supplicant.

Comment 11 Justin W. Flory (he/him) 2014-09-04 20:37:39 UTC
Jirka, it seems that bug 1108801 had the solution for me — downloading and compiling the drivers from Realtek's GitHub page seemed to do the trick for me! I haven't had a significant amount of time to ensure that this solution is working for me, but since compiling and installing the drivers and rebooting, I have not had any wireless issues! Thank you for linking that.

Comment 12 Dan Williams 2014-09-05 02:07:20 UTC
Looks like the issues in this bug are all solved...


Note You need to log in before you can comment on or make changes to this bug.